### Method

# FwupdPlugin BiosSettings get_attr

#### Declaration [src]

    FwupdBiosSetting*
    fu_bios_settings_get_attr (
      FuBiosSettings* self,
      const gchar* val
    )

#### Description

No description available.

Available since: | 1.8.4

#### Parameters

`val` | `const gchar*`
| The attribute ID or name to check for.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdBiosSetting`
| The attribute with the given ID or name or NULL if it doesn’t exist.
| The data is owned by the instance.